SubClient

Updates a new SubClient (to be with enabled sub-clients module)

This API can be used on instances with enabled sub-clients module only. API updates a SubClient.

PATCH/api/sub-clients/{id}

Authorizations

X-AUTH-TOKEN
stringheaderrequired

Value for the X-AUTH-TOKEN header parameter.

Path Parameters

id
stringrequired

SubClient identifier

Request Body

application/json
required

The updated SubClient resource

{
  "id": 12345,
  "externalId": "id123",
  "description": "Any description",
  "tokens": [
    "https://example.com/"
  ],
  "standardValues": [
    "https://example.com/"
  ]
}

Response

200application/json

SubClient resource updated

id
integer

Identifier generated by Output.Rocks.

Example: 12345

externalId
string

Optional identifier, used in connected system. External ID has to be unique.

Example: "id123"

description
string

SubClient description

Example: "Any description"

tokenIdentifiers
string[]

Optional list of ApiToken identifiers, to be created on SubClient

Example: ["default","special"]

standardValuesList
object

Optional list of standard values as array [key => value], to be created for SubClient

Example: {"key1":"value1","key2":"line1\nline2"}

tokens
string<iri-reference>[]
standardValues
string<iri-reference>[]